/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#ifndef _DETAILS_H_
#define _DETAILS_H_

#include "my_header.h"
#include <kurl.h>
#include <qfont.h>
#include <klocale.h>

class Details : public QObject
{	
 Q_OBJECT

public:
	Details(QWidget *parent, QBoxLayout *layout,
		QString text, QString icon);
	~Details();
	
	MyHeader *header;

public slots:
        void urlChanged(const KURL &url);

protected:
        QLabel *lIcon;
        QLabel *lName;
	QLabel *lType;
	QLabel *lUser;
	QLabel *lPermissions;
	QLabel *lModified;
	QLabel *lSize;

	QLabel *sType;
	QLabel *sUser;
	QLabel *sPermissions;
	QLabel *sModified;
	QLabel *sSize;
	
	QLabel *lInfo[6];
	QLabel *sInfo[6];
	
	QFont tFont;
	
	KURL mUrl;

};

#endif

